from django.urls import reverse
from pretix.base.models import Event
from pretix.control.views.event import EventSettingsFormView, EventSettingsViewMixin

from .forms import KeycloakCreatorForm


class KeycloakCreatorView(EventSettingsViewMixin, EventSettingsFormView):
    model = Event
    permission = "can_change_settings"
    form_class = KeycloakCreatorForm
    template_name = "pretix_keycloak_create_user/settings.html"

    def get_success_url(self, **kwargs):
        return reverse(
            "plugins:pretix_keycloak_create_user:settings",
            kwargs={
                "organizer": self.request.event.organizer.slug,
                "event": self.request.event.slug,
            },
        )
